Newer licenses compatible with older versions of products?

We are in the process of upgrading our products from older JIRA 4.1.2 to 5.0.x but may not be ready when the current license expires. We already bought the unlimited 5.0.x licenses though. Can we use those newer licenses with the older versions?

1 answer

1 accepted

0 votes
Accepted answer

For Jira, yes - there's a format change between 3 and 4, but the license you have for 4 will work through to 5.1 (and probably beyond), and vice-versa - your 5.x licence will work down to Jira 4.0

I found that to be true for what Nic said, but there are differences for each tool. Some of them provide a clear description of what the problem is related to when upgrading and the current license is being used is the wrong one, where at other times it is a bit more vague. Bamboo for one doesn't actually say anything about the licenses being for the older version when upgrading to 4.0, but states that the support period has ended. I was able to resolve this after looking at my more current license and the ones that were being identified in the bamboo.cfg.xml file and noted that they were different.

Suggest an answer

Log in or Sign up to answer
Community showcase
Published Nov 29, 2018 in Jira

How to set up an incident workflow from the VP of Engineering at Sentry

Hey Atlassian community, I help lead engineering at Sentry, an open-source error-tracking and monitoring tool that integrates with Jira. We started using Jira Software Cloud internally last year, a...

1,090 views 0 8
Read article

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you